﻿using AsReaderA24DMAUIDemo.Platforms.Droid;

namespace AsReaderA24DMAUIDemo;

public partial class BarcodePage : ContentPage
{
    public string codeID = "";
    public string barcode = "";
    public string bytes;
    private AsReaderA24DDelegate asReaderA24DDelegate;

    public BarcodePage()
    {
        InitializeComponent();
        asReaderA24DDelegate = AsReaderA24DDelegate.sharedInstance();
    }
    protected override void OnAppearing()
    {
        base.OnAppearing();
        asReaderA24DDelegate.OnConnect = (bool connect) =>
        {
            OnConnect(connect);
        };
        codeIDLabel.Text = codeID;
        barcodeLabel.Text = barcode;
        hexLabel.Text = bytes;
    }
    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        asReaderA24DDelegate.OnConnect = null;
    }
    private void OnConnect(bool connect)
    {
        MainThread.BeginInvokeOnMainThread(() =>
        {
            if (!connect)
            {
                Navigation.PopToRootAsync();
            }
        });
    }
}
