﻿using AsReaderA24DMAUIDemo.Platforms.Droid;

namespace AsReaderA24DMAUIDemo;

public partial class MorePage : ContentPage
{
    private AsReaderA24DDelegate asReaderA24DDelegate;

    public MorePage()
    {
        InitializeComponent();
        asReaderA24DDelegate = AsReaderA24DDelegate.sharedInstance();

        var tapGestureRecognizer = new TapGestureRecognizer();
        tapGestureRecognizer.Tapped += (s, e) =>
        {
            Navigation.PushAsync(new SettingsPage());
        };
        settings.GestureRecognizers.Add(tapGestureRecognizer);


        var tapGestureRecognizer2 = new TapGestureRecognizer();
        tapGestureRecognizer2.Tapped += (s, e) =>
        {
            Navigation.PushAsync(new InformationPage());
        };
        information.GestureRecognizers.Add(tapGestureRecognizer2);
    }
    protected override void OnAppearing()
    {
        base.OnAppearing();
        asReaderA24DDelegate.OnConnect = (bool connect) =>
        {
            OnConnect(connect);
        };
    }
    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        asReaderA24DDelegate.OnConnect = null;
    }
    private void OnConnect(bool connect)
    {
        MainThread.BeginInvokeOnMainThread(() =>
        {
            if (!connect)
            {
                Navigation.PopToRootAsync();
            }
        });
    }
}
