﻿using AsReaderA24DMAUIDemo.Platforms.Droid;

namespace AsReaderA24DMAUIDemo;

public partial class SettingsPage : ContentPage
{
    private AsReaderA24DManager formManager;
    private AsReaderA24DDelegate asReaderA24DDelegate;

    public SettingsPage()
    {
        InitializeComponent();
        formManager = AsReaderA24DManager.sharedInstance();
        asReaderA24DDelegate = AsReaderA24DDelegate.sharedInstance();
        string beep = Preferences.Get("beep", "true");
        if (beep == "true")
        {
            BeepSwitch.IsToggled = true;
        }
        else
        {
            BeepSwitch.IsToggled = false;
        }
        string vibration = Preferences.Get("vibration", "true");
        if (vibration == "true")
        {
            VibrationSwitch.IsToggled = true;
        }
        else
        {
            VibrationSwitch.IsToggled = false;
        }
    }
    protected override void OnAppearing()
    {
        base.OnAppearing();
        asReaderA24DDelegate.OnConnect = (bool connect) =>
        {
            OnConnect(connect);
        };
    }
    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        asReaderA24DDelegate.OnConnect = null;
    }
    private void OnConnect(bool connect)
    {
        MainThread.BeginInvokeOnMainThread(() =>
        {
            if (!connect)
            {
                Navigation.PopToRootAsync();
            }
        });
    }
    void OnToggledBeep(object sender, ToggledEventArgs e)
    {
        string beep = e.Value ? "true" : "false";
        Preferences.Set("beep", beep);
        formManager.SetDeviceDefault();
    }
    void OnToggledVibration(object sender, ToggledEventArgs e)
    {
        string vibration = e.Value ? "true" : "false";
        Preferences.Set("vibration", vibration);
        formManager.SetDeviceDefault();
    }
}
